Name:		mdds
Version:	0.11.2
Release:	%mkrel 1
Summary:	A collection of multi-dimensional data structures and indexing algorithms

Group:		Development/C
License:	MIT
URL:		http://code.google.com/p/multidimalgorithm/
Source0:	http://kohei.us/files/%{name}/src/%{name}_%{version}.tar.bz2
# Temporary for Cauldron:
Obsoletes:	mdds0.6-devel mdds0.6
BuildRequires: boost-devel
BuildArch: noarch

%description
A collection of multi-dimensional data structures and indexing algorithms.
 
It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

%package devel
Group: Development/C
Summary: Headers for %{name}
Requires: boost-devel

%description devel
Headers for %{name}.

%prep
%setup -q -n %{name}_%{version}
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall.*-std/%{optflags} -std/' Makefile.in


%build
%configure2_5x


%install
%makeinstall_std
rm -fr %buildroot/usr/share/doc


%check
%make check

%files devel
%{_datadir}/pkgconfig/mdds.pc
%{_includedir}/mdds
%doc AUTHORS NEWS README


%changelog
* Sun Feb 01 2015 tv <tv> 0.11.2-1.mga4
+ Revision: 813060
- new release

* Sat Oct 19 2013 umeabot <umeabot> 0.8.1-6.mga4
+ Revision: 529533
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.8.1-5.mga4
+ Revision: 452381
- rebuild for new boost

* Sat Jun 08 2013 tv <tv> 0.8.1-4.mga4
+ Revision: 440631
- get rid of mdds0.6 SRPM too

* Fri Jun 07 2013 tv <tv> 0.8.1-3.mga4
+ Revision: 440248
- obsolete temporay mdds0.6-devel package

* Sat May 25 2013 tv <tv> 0.8.1-2.mga4
+ Revision: 426982
- package pkg-config file (needed by LO)

* Fri May 24 2013 tv <tv> 0.8.1-1.mga4
+ Revision: 426848
- new release

* Wed Apr 10 2013 malo <malo> 0.6.1-3.mga3
+ Revision: 409470
- rebuild for boost 1.53

* Sat Jan 12 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 359882
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 0.6.1-1.mga3
+ Revision: 331931
- fix group
- fix group
- new version
- update description
- clean up

* Mon Jul 04 2011 kharec <kharec> 0.5.2-1.mga2
+ Revision: 118121
- new version
- use %%configure2_5x

* Sun Jan 23 2011 dmorgan <dmorgan> 0.5.1-1.mga1
+ Revision: 35441
- Adapt to mageia
- imported package mdds

